Google Web Toolkit
Search Google Code:

# Interface SerializationPolicyProvider

public interface SerializationPolicyProvider
// Implemented by `RemoteServiceServlet`
Used to obtain a SerializationPolicy for a given module base URL and serialization policy strong name.

## Methods

getSerializationPolicy(String, String) | Returns a SerializationPolicy for a given module base URL and serialization policy strong name.

## Method Detail

### getSerializationPolicy

public SerializationPolicy getSerializationPolicy(String moduleBaseURL, String serializationPolicyStrongName)
Returns a SerializationPolicy for a given module base URL and serialization policy strong name.

#### Parameters

moduleBaseURL
  the URL for the module
serializationPolicyStrongName
  strong name of the serialization policy for the specified module URL

#### Return Value

a SerializationPolicy for a given module base URL and RPC strong name; must not return `null`